mod common;

fn main() -> Result<(), Box<dyn std::error::Error>> {
	match common::get_sso_token(common::TokenConfig::default()) {
		Ok(value) => println!("{:?}", value),
		Err(common::StringSystemError::SystemError(common::SystemError { code })) => { std::process::exit(code as i32) },
		_ => { std::process::exit(1) }
	};
	Ok(())
}
